org.apache.lucene.codecs.mocksep

## Class MockSingleIntIndexOutput

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntIndexOutput
  - - org.apache.lucene.codecs.mocksep.MockSingleIntIndexOutput

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class MockSingleIntIndexOutput
      extends IntIndexOutput

  Writes ints directly to the file (not in blocks) as vInt.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.codecs.sep.IntIndexOutput

      `IntIndexOutput.Index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockSingleIntIndexOutput(Directory dir, String fileName, IOContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `IntIndexOutput.Index` | `index()`
    `String` | `toString()`
    `void` | `write(int v)` Write an int to the primary file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockSingleIntIndexOutput

          public MockSingleIntIndexOutput(Directory dir,
                                  String fileName,
                                  IOContext context)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(int v)
                     throws IOException

      Write an int to the primary file
      Specified by:
        `write` in class `IntIndexOutput`
      Throws:
        `IOException`

    - #### index

          public IntIndexOutput.Index index()

      Specified by:
        `index` in class `IntIndexOutput`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `IntIndexOutput`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.